# ActionHero 'public' dir location (relative to this script when following tdp-ah-cms installer instructions)
AH_PUB_DIR="../../public";
SYMLINK_DEST="$AH_PUB_DIR/bower_components";

PWD=`pwd`;
SYMLINK_SRC="$PWD/bower_components/";

# Install bower deps
bower install --production;

# We need to check if it's likely that the module has been installed correctly (as per instructions for tdp-ah-cms):
echo "Checking for ActionHero public dir ($AH_PUB_DIR)"
if [ -d $AH_PUB_DIR ]; then

	# Delete the symlink below if it already exists, to avoid failing (might not be the best idea?)
	if [ -e $SYMLINK_DEST ]; then 
		rm $SYMLINK_DEST;
	fi

	# Symlink the bower_components dir into the public dir to make it simple to use
	ln -s $SYMLINK_SRC $SYMLINK_DEST;
else
	echo "ERROR: couldn't find ActionHero 'public' directory - exiting."
	exit 1;
fi
